Foxit PDF RDK

Public Member Functions | List of all members
FoxitPDFViewCtrl.IDocEventListener Class Reference

## Public Member Functions
| onDocClosed (document, errCode)
| onDocLoading (document, progress)
| onDocOpened (document, errCode)
| onDocSaved (document, errCode)
| onDocWillClose (document)
| onDocWillOpen ()
| onDocWillSave (document)

## Detailed Description

The interface for document event listener.

## Member Function Documentation

## ◆ onDocClosed()

FoxitPDFViewCtrl.IDocEventListener.onDocClosed | ( | document | ,
|  | errCode |
| ) |  |

Triggered when the document is closed.

Parameters

  document | A `PDFDoc` object which specifies the closed PDF document.
  errCode | Error code. It should be one of constant definitions FoxitRDKNative.common.ErrorCode.

## ◆ onDocLoading()

FoxitPDFViewCtrl.IDocEventListener.onDocLoading | ( | document | ,
|  | progress |
| ) |  |

Triggered when loading documents.

Parameters

  document | PDF document instance which is loading.
  progress | An integer between 0 and 100 (inclusive), indicating the rate of current progress. -1 means error.

## ◆ onDocOpened()

FoxitPDFViewCtrl.IDocEventListener.onDocOpened | ( | document | ,
|  | errCode |
| ) |  |

Triggered when the document is opened.

Parameters

  document | A `PDFDoc` object which specifies the opened PDF document.
  errCode | Error code. It should be one of constant definitions FoxitRDKNative.common.ErrorCode.

## ◆ onDocSaved()

FoxitPDFViewCtrl.IDocEventListener.onDocSaved | ( | document | ,
|  | errCode |
| ) |  |

Triggered when the document is saved.

Parameters

  document | A `PDFDoc` object which specifies the saved PDF document.
  errCode | Error code. It should be one of constant definitions FoxitRDKNative.common.ErrorCode.

## ◆ onDocWillClose()

FoxitPDFViewCtrl.IDocEventListener.onDocWillClose | ( | document |  | ) |

Triggered when the document will be closed.

Parameters

  document | A `PDFDoc` object which will be closed.

## ◆ onDocWillOpen()

FoxitPDFViewCtrl.IDocEventListener.onDocWillOpen | ( |  | ) |

Triggered when the document will be opened.

## ◆ onDocWillSave()

FoxitPDFViewCtrl.IDocEventListener.onDocWillSave | ( | document |  | ) |

Triggered when the document will be saved.

Parameters

  document | A `PDFDoc` object which will be closed.